"""
@author: luojunhui
"""
from argparse import ArgumentParser

from coldStartTasks.crawler.wechat import ArticleAssociationCrawler


def main():
    """
    main function
    """
    parser = ArgumentParser()
    parser.add_argument("--biz_date", type=str, help="format 2025-01-01")
    args = parser.parse_args()

    if args.biz_date:
        biz_date = args.biz_date
    else:
        biz_date = None

    article_association_crawler = ArticleAssociationCrawler()
    article_association_crawler.deal(biz_date=biz_date)


if __name__ == "__main__":
    main()
