"""
@author: luojunhui
"""

import requests
import json

from applications.api import WechatChannelAPI
from config import gewe_token, gewe_app_id


def get_channel_account_videos(user_id, last_buffer=""):
    """
    get channel account videos
    """
    channel_api = WechatChannelAPI(
        base_url='http://api.geweapi.com',
        token=gewe_token,
        app_id=gewe_app_id
    )
    result = channel_api.get_channel_video_list(user_id, last_buffer)
    return result
